package net.northking.cctp.project.dto.env;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * <p>Title: CpProjectEnvSysUrlSearchDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/10/7 15:59
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */
public class CpProjectEnvSysUrlSearchDto implements Serializable {

    /**
     * 系统id
     */
    @ApiModelProperty("系统id")
    @NotBlank(message = "系统编号不能为空")
    private String projectId;

    /**
     * 环境id
     */
    @ApiModelProperty("环境ID")
    @NotBlank(message = "环境编号不能为空")
    private String envId;

    /**
     * 系统名称
     */
    @ApiModelProperty("系统名称")
    @NotBlank(message = "系统名称不能为空")
    private String sysName;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getEnvId() {
        return envId;
    }

    public void setEnvId(String envId) {
        this.envId = envId;
    }

    public String getSysName() {
        return sysName;
    }

    public void setSysName(String sysName) {
        this.sysName = sysName;
    }
}
